# Waifus

> 用于在web页面上插入live2d模型的js插件

> 旧版本（1.x.x）依赖于vue，jqurey等，现在停止更新。

目录结构如下：

![image-20220320194446666](http://service.hell-vision.online:3000/md-image-list.png)

waifus是入口文件，live2d是live2d模型的绘制主文件，waifu.css是模型和工具栏等的样式表，其他的是字体。

使用方法：

```html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <script src="lib/live2d.min.js"></script>
    <script src="waifus/waifus.js"></script>
    <link rel="stylesheet" href="lib/waifu.css">
</head>
<body>
<script>let waifus = new window.waifus()</script>
</body>
</html>
```

具体效果如下：

![image-20220320194642657](http://service.hell-vision.online:3000/md-image-live2d.png)

> 注意：本插件需要后端支持，源代码中默认给出了一个测试地址，是Hell Vision（开发者）的开发环境，可以直接使用，但是不保证稳定，建议自己搭建，后端API示例：[waifus-service](https://www.npmjs.com/package/waifus-service)
> 
> 如果在npm预览页或者demo里面显示不出图片，说明后端api挂掉了

收工！

*由于本插件使用ES6语法，在node_module内可能无法直接import使用，可以把waifus.js或者整个插件复制到static或者public下使用*

## 更新日志

##### <font color=blue>2022-03-20</font> live2d V2.0.0发布

##### <font color=blue>2022-03-31</font> 修复localStorage可能获取不到值和z-index不生效的bug



































## 更新日志

##### <font color=blue>2022-03-20</font> live2d V2.0.3发布

##### <font color=blue>2022-03-23</font> V2.0.4 修复本地记录模型不生效的bug